Class | RI::Description
In: | rdoc/ri/ri_descriptions.rb
Parent: | Object

### Methods

<=> deserialize serialize

### Attributes

comment | [RW] |
full_name | [RW] |
name | [RW] |

### Public Class methods

deserialize(from)

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 71
        def Description.deserialize(from)
          YAML.load(from)
        end

### Public Instance methods

<=>(other)

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 75
        def <=>(other)
          @name <=> other.name
        end

serialize()

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 67
        def serialize
          self.to_yaml
        end

[Validate]